Title: xml.dom.minidom.writexml() changes value of TEXT_NODE
Type: behaviour Severity: normal
Components: Library Versions: Jython 2.7, Jython 2.5
Milestone: Jython 2.7.1
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: kuhstall, zyasoft
Priority: normal Keywords:

Created on 2014-04-09.11:14:23 by kuhstall, last changed 2016-02-11.20:26:22 by zyasoft.

msg8282 (view) Author: (kuhstall) Date: 2014-04-09.11:14:22
When using writexml() with indent it also pretty prints the content of TEXT_NODE elements. This way the values of the elements are changed. This should not happen. In Python 2.7 the method writexml() works correctly, copying this method from Python to Jython seems to solve the problem.
msg9132 (view) Author: Jim Baker (zyasoft) Date: 2014-10-10.04:31:09
Need to update xml.dom.* files by re-applying our minimal patch in minidom

Target beta 4, should be a quick fix
msg10708 (view) Author: Jim Baker (zyasoft) Date: 2016-02-03.20:02:12
Fixed as of

Huge diff, but mostly this was updating stdlib and applying a minimal set of changes necessary to work on Jython and corresponding Java APIs.
Date User Action Args
2016-02-11 20:26:23zyasoftsetstatus: pending -> closed
2016-02-03 20:02:13zyasoftsetstatus: open -> pending
resolution: accepted -> fixed
messages: + msg10708
2015-12-30 00:01:42zyasoftsetpriority: high -> normal
2015-04-20 20:58:24zyasoftsetmilestone: Jython 2.7.1
2014-10-10 04:31:10zyasoftsetpriority: high
resolution: accepted
messages: + msg9132
nosy: + zyasoft
2014-04-09 11:14:23kuhstallcreate